##### 7.5.20.0. rightNF

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  rightNF(I); v a poly/vector, M an ideal/module

Purpose:
  compute a right normal form of v w.r.t. M

Return:
  poly/vector (as of the 1st argument)

Example:

    LIB "nctools.lib";
    LIB "ncalg.lib";
    ring r = 0,(x,d),dp;
    def S = nc_algebra(1,1); setring S; // Weyl algebra
    ideal I = x; I = std(I);
    poly  p = x*d+1;
    NF(p,I); // left normal form
    ==> 0
    rightNF(p,I); // right normal form
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.